// coverage:ignore-file
import 'package:film_gyaan/core.dart';

/// A parameter class which will be used to make the initial request for
/// getting the keyword details.
class KeywordDetailsParams extends Parameters {
  KeywordDetailsParams({
    required this.id,
  });

  int id;

  @override
  Request toRequest() => Request.get(
        uri: Uri(
          path: '/3/keyword/$id',
        ),
      );
}

/// A parameter class which will be used to make the initial request for
/// getting the keyword movies.
class KeywordMoviesParams extends Parameters {
  KeywordMoviesParams({
    required this.id,
  });

  int id;

  @override
  Request toRequest() => Request.get(
        uri: Uri(
          path: '/3/keyword/$id/movies',
        ),
      );
}
