// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

/// @nodoc
class Keyword extends Result {
  Keyword({
    required this.id,
    required this.name,
  });

  factory Keyword.fromJson(String str) => Keyword.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Keyword.fromMap(Map<String, dynamic> json) => Keyword(
        id: json['id'] as int? ?? 0,
        name: json['name'] as String? ?? '',
      );

  int id;
  String name;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'name': name,
      };
}
