// coverage:ignore-file
import 'dart:convert';

import 'package:film_gyaan/core.dart';

/// @nodoc
class Keywords extends Result {
  Keywords({
    required this.id,
    required this.keywords,
  });

  factory Keywords.fromJson(String str) => Keywords.fromMap(
        json.decode(str) as Map<String, dynamic>,
      );

  factory Keywords.fromMap(Map<String, dynamic> json) => Keywords(
        id: json['id'] as int? ?? 0,
        keywords: List<Keyword>.from(
          (json['keywords'] as List<dynamic>? ?? <dynamic>[]).map<dynamic>(
            (dynamic x) => Keyword.fromMap(
              x as Map<String, dynamic>,
            ),
          ),
        ),
      );

  int id;
  List<Keyword> keywords;

  String toJson() => json.encode(toMap());

  Map<String, dynamic> toMap() => <String, dynamic>{
        'id': id,
        'keywords': List<Map<String, dynamic>>.from(
          keywords.map<Map<String, dynamic>>(
            (x) => x.toMap(),
          ),
        ),
      };
}
